Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.tokens
Class Token

    java.lang.Object
      org.yaml.snakeyaml.tokens.Token

Direct Known Subclasses:
  AliasToken, AnchorToken, BlockEndToken, BlockEntryToken, BlockMappingStartToken, BlockSequenceStartToken, DirectiveToken, DocumentEndToken, DocumentStartToken, FlowEntryToken, FlowMappingEndToken, FlowMappingStartToken, FlowSequenceEndToken, FlowSequenceStartToken, KeyToken, ScalarToken, StreamEndToken, StreamStartToken, TagToken, ValueToken

    public abstract class Token

extends Object

Nested Class Summary
`static class` | `Token.ID`

Constructor Summary
`Token(Mark startMark, Mark endMark)`

Method Summary
`boolean` | `equals(Object obj)`
`protected String` | `getArguments()`
`Mark` | `getEndMark()`
`Mark` | `getStartMark()`
`abstract Token.ID` | `getTokenId()` For error reporting.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Token

    public Token(Mark startMark,
                 Mark endMark)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getStartMark

    public Mark getStartMark()

### getEndMark

    public Mark getEndMark()

### getArguments

    protected String getArguments()

  See Also:
    `for Token in PyYAML`

### getTokenId

    public abstract Token.ID getTokenId()

  For error reporting.

  See Also:
    `variable 'id' in PyYAML`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.